CVE-2006-2754
CVSS5.0
发布时间 :2006-06-01 13:02:00
修订时间 :2011-03-07 21:36:57
NMCO    

[原文]Stack-based buffer overflow in st.c in slurpd for OpenLDAP before 2.3.22 might allow attackers to execute arbitrary code via a long hostname.


[CNNVD]OpenLDAP slurpd状态文件处理 缓冲区溢出漏洞(CNNVD-200606-047)

        OpenLDAP是一款开放源代码的轻量级目录访问协议(LDAP)实现。
        OpenLDAP的slurpd在处理状态文件时存在边界条件错误,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        如果从状态文件读取了超长的主机名的话,就会触发栈溢出导致执行任意指令。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:openldap:openldap:2.2.16
cpe:/a:openldap:openldap:2.2.20
cpe:/a:openldap:openldap:2.2.17
cpe:/a:openldap:openldap:2.2.15
cpe:/a:openldap:openldap:2.2.14
cpe:/a:openldap:openldap:2.2.13
cpe:/a:openldap:openldap:2.2.1
cpe:/a:openldap:openldap:2.2.21
cpe:/a:openldap:openldap:2.2.19
cpe:/a:openldap:openldap:2.2.18
cpe:/a:openldap:openldap:2.2.12
cpe:/a:openldap:openldap:2.2.11

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2754
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2754
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-047
(官方数据源) CNNVD

- 其它链接及资源

http://www.openpkg.org/security/advisories/OpenPKG-SA-2006.008-openldap.html
(PATCH)  OPENPKG  OpenPKG-SA-2006.008
http://www.openldap.org/software/release/changes.html
(PATCH)  CONFIRM  http://www.openldap.org/software/release/changes.html
http://www.openldap.org/devel/cvsweb.cgi/servers/slurpd/st.c?hideattic=1&sortbydate=0#rev1.22
(PATCH)  CONFIRM  http://www.openldap.org/devel/cvsweb.cgi/servers/slurpd/st.c?hideattic=1&sortbydate=0#rev1.22
http://www.openldap.org/devel/cvsweb.cgi/servers/slurpd/st.c.diff?r1=1.21&r2=1.22&hideattic=1&sortbydate=0&f=h
(PATCH)  CONFIRM  http://www.openldap.org/devel/cvsweb.cgi/servers/slurpd/st.c.diff?r1=1.21&r2=1.22&hideattic=1&sortbydate=0&f=h
http://secunia.com/advisories/20126
(VENDOR_ADVISORY)  SECUNIA  20126
http://www.vupen.com/english/advisories/2006/1921
(UNKNOWN)  VUPEN  ADV-2006-1921
http://www.osvdb.org/25659
(UNKNOWN)  OSVDB  25659
http://www.ubuntulinux.org/support/documentation/usn/usn-305-1
(UNKNOWN)  UBUNTU  USN-305-1
http://www.securityfocus.com/archive/1/archive/1/436674/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060609 rPSA-2006-0099-1 openldap openldap-clients openldap-servers
http://www.mandriva.com/security/advisories?name=MDKSA-2006:096
(UNKNOWN)  MANDRIVA  MDKSA-2006:096
http://www.gentoo.org/security/en/glsa/glsa-200606-17.xml
(UNKNOWN)  GENTOO  GLSA-200606-17
http://secunia.com/advisories/20848
(UNKNOWN)  SECUNIA  20848
http://secunia.com/advisories/20685
(UNKNOWN)  SECUNIA  20685
http://secunia.com/advisories/20495
(UNKNOWN)  SECUNIA  20495

- 漏洞信息

OpenLDAP slurpd状态文件处理 缓冲区溢出漏洞
中危 缓冲区溢出
2006-06-01 00:00:00 2006-06-01 00:00:00
远程  
        OpenLDAP是一款开放源代码的轻量级目录访问协议(LDAP)实现。
        OpenLDAP的slurpd在处理状态文件时存在边界条件错误,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        如果从状态文件读取了超长的主机名的话,就会触发栈溢出导致执行任意指令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.openldap.org/software/download/

- 漏洞信息

25659
OpenLDAP slurpd Status File Handling Overflow
Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.3.22 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站